@charset "UTF-8";

/* e-nitio mediasign
** Lindenstraße 14
** 50674 Köln
** www.e-nitio.com
** info@e-nitio.com */




// Import Framework Styles
@import "/cms/less/_variables.less"; // "../_variables";
@import "/cms/less/_mixins.less"; // "../mixins";



// ####################
//
// Progress-Bar Default
//
// ####################

.progress--container {
	position: relative;
	
	.progress--inner {
		//.border-radius();
		overflow: hidden;
	}
	
	.progress {
		margin: 0;
		.reset-border-radius();
		.reset-box-shadow();
		background: @brand-gray-light;
		.rem-height(30);
	}
	
	.progress-bar {
		.reset-box-shadow();
		overflow: hidden;
		text-overflow: ellipsis;
		.transition(width 1.5s 0.3s ease);
		.rem-padding(5,0);
		
		&[data-toggle="tooltip"] {
			cursor: help;
		}
		
		strong {
			.rem-padding(0,5);
		}
	}
	
	.progress--milestones {
		.progress-bar {
			.transition(none);
		}
	}
	
	.progress--complete {
		height: 5px;
	}
	
	.progress--space {
		//background: transparent;
	}
	
	.progress--label {
		position: absolute;
		bottom: 100%;
		left: 0;
		display: inline-block;
		.font-size(12);
		.transition(left 1.5s 0.3s ease);
		
		&.start,
		&.end {
			&::after,
			&:after {
				content: '';
				display: block;
				position: relative;
				width: 0;
				height: 0;
				border: 4px solid transparent;
				margin-bottom: 5px;
			}
		}
		
		&.start {
			
			&::after,
			&:after {
				border-top-color: @border-color;
				border-left-color: @border-color;
			}
		}
		
		&.end {
			left: auto;
			right: 0;
			
			&::after,
			&:after {
				left: 100%;
				.translate(-100%,0);
				border-top-color: @border-color;
				border-right-color: @border-color;
			}
		}
		
		&.today {
			top: 100%;
			bottom: auto;
			.translate(-50%,0);
	
			&::before,
			&:before {
				content: '';
				display: block;
				position: relative;
				left: 50%;
				width: 0;
				height: 0;
				border: 5px solid transparent;
				border-bottom-color: @border-color;
				.translate(-50%,0);
			}
		}
	}
}



